namespace BTSPracCourse.Orchestrations.Processor {
    
    
    [Microsoft.XLANGs.BaseTypes.SchemaReference(@"BTSPracCourse.Orchestrations.Processor.WcfMultiplierService_ations_WCF_BasicHttpSendAdapter_BasicHttpWcfServiceConsuming+MultiplyResponse", typeof(BTSPracCourse.Orchestrations.Processor.WcfMultiplierService_ations_WCF_BasicHttpSendAdapter_BasicHttpWcfServiceConsuming.MultiplyResponse))]
    [Microsoft.XLANGs.BaseTypes.SchemaReference(@"BTSPracCourse.Orchestrations.Processor.ResponseSchema", typeof(BTSPracCourse.Orchestrations.Processor.ResponseSchema))]
    public sealed class Transform_2 : Microsoft.XLANGs.BaseTypes.TransformBase {
        
        private const string _strMap = @"<?xml version=""1.0"" encoding=""UTF-16""?>
<xsl:stylesheet xmlns:xsl=""http://www.w3.org/1999/XSL/Transform"" xmlns:msxsl=""urn:schemas-microsoft-com:xslt"" xmlns:var=""http://schemas.microsoft.com/BizTalk/2003/var"" exclude-result-prefixes=""msxsl var s0 s1"" version=""1.0"" xmlns:s0=""http://schemas.datacontract.org/2004/07/WcfMultiplier"" xmlns:ns0=""http://BTSPracCourse.Orchestrations.Processor.ResponseSchema"" xmlns:s1=""http://www.MoustafaRefaat.com/Orchestrations.WCF.BasicHttpSendAdapter.BasicHttpWcfServiceConsuming"">
  <xsl:output omit-xml-declaration=""yes"" method=""xml"" version=""1.0"" />
  <xsl:template match=""/"">
    <xsl:apply-templates select=""/s1:MultiplyResponse"" />
  </xsl:template>
  <xsl:template match=""/s1:MultiplyResponse"">
    <ns0:Root>
      <xsl:for-each select=""s1:MultiplyResult"">
        <Result>
          <xsl:if test=""s0:RValue"">
            <xsl:attribute name=""Value"">
              <xsl:value-of select=""s0:RValue/text()"" />
            </xsl:attribute>
          </xsl:if>
          <xsl:value-of select=""./text()"" />
        </Result>
      </xsl:for-each>
      <xsl:value-of select=""./text()"" />
    </ns0:Root>
  </xsl:template>
</xsl:stylesheet>";
        
        private const string _strArgList = @"<ExtensionObjects />";
        
        private const string _strSrcSchemasList0 = @"BTSPracCourse.Orchestrations.Processor.WcfMultiplierService_ations_WCF_BasicHttpSendAdapter_BasicHttpWcfServiceConsuming+MultiplyResponse";
        
        private const string _strTrgSchemasList0 = @"BTSPracCourse.Orchestrations.Processor.ResponseSchema";
        
        public override string XmlContent {
            get {
                return _strMap;
            }
        }
        
        public override string XsltArgumentListContent {
            get {
                return _strArgList;
            }
        }
        
        public override string[] SourceSchemas {
            get {
                string[] _SrcSchemas = new string [1];
                _SrcSchemas[0] = @"BTSPracCourse.Orchestrations.Processor.WcfMultiplierService_ations_WCF_BasicHttpSendAdapter_BasicHttpWcfServiceConsuming+MultiplyResponse";
                return _SrcSchemas;
            }
        }
        
        public override string[] TargetSchemas {
            get {
                string[] _TrgSchemas = new string [1];
                _TrgSchemas[0] = @"BTSPracCourse.Orchestrations.Processor.ResponseSchema";
                return _TrgSchemas;
            }
        }
    }
}
