namespace BTSPracCourse.Orchestrations.Processor {
    using Microsoft.XLANGs.BaseTypes;
    
    
    [SchemaType(SchemaTypeEnum.Document)]
    [System.SerializableAttribute()]
    [SchemaRoots(new string[] {@"Multiply", @"MultiplyResponse"})]
    [Microsoft.XLANGs.BaseTypes.SchemaReference(@"BTSPracCourse.Orchestrations.Processor.WcfMultiplierService_schemas_datacontract_org_2004_07_WcfMultiplier", typeof(BTSPracCourse.Orchestrations.Processor.WcfMultiplierService_schemas_datacontract_org_2004_07_WcfMultiplier))]
    public sealed class WcfMultiplierService_ations_WCF_BasicHttpSendAdapter_BasicHttpWcfServiceConsuming : Microsoft.XLANGs.BaseTypes.SchemaBase {
        
        [System.NonSerializedAttribute()]
        private static object _rawSchema;
        
        [System.NonSerializedAttribute()]
        private const string _strSchema = @"<?xml version=""1.0"" encoding=""utf-16""?>
<xs:schema xmlns:tns=""http://www.MoustafaRefaat.com/Orchestrations.WCF.BasicHttpSendAdapter.BasicHttpWcfServiceConsuming"" xmlns:b=""http://schemas.microsoft.com/BizTalk/2003"" elementFormDefault=""qualified"" targetNamespace=""http://www.MoustafaRefaat.com/Orchestrations.WCF.BasicHttpSendAdapter.BasicHttpWcfServiceConsuming"" xmlns:xs=""http://www.w3.org/2001/XMLSchema"">
  <xs:import schemaLocation=""BTSPracCourse.Orchestrations.Processor.WcfMultiplierService_schemas_datacontract_org_2004_07_WcfMultiplier"" namespace=""http://schemas.datacontract.org/2004/07/WcfMultiplier"" />
  <xs:annotation>
    <xs:appinfo>
      <references xmlns=""http://schemas.microsoft.com/BizTalk/2003"">
        <reference targetNamespace=""http://schemas.datacontract.org/2004/07/WcfMultiplier"" />
      </references>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name=""Multiply"">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q1=""http://schemas.datacontract.org/2004/07/WcfMultiplier"" minOccurs=""0"" name=""composite"" nillable=""true"" type=""q1:MultiplyRequest"" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name=""MultiplyResponse"">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q2=""http://schemas.datacontract.org/2004/07/WcfMultiplier"" minOccurs=""0"" name=""MultiplyResult"" nillable=""true"" type=""q2:MultiplyResponse"" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>";
        
        public WcfMultiplierService_ations_WCF_BasicHttpSendAdapter_BasicHttpWcfServiceConsuming() {
        }
        
        public override string XmlContent {
            get {
                return _strSchema;
            }
        }
        
        public override string[] RootNodes {
            get {
                string[] _RootElements = new string [2];
                _RootElements[0] = "Multiply";
                _RootElements[1] = "MultiplyResponse";
                return _RootElements;
            }
        }
        
        protected override object RawSchema {
            get {
                return _rawSchema;
            }
            set {
                _rawSchema = value;
            }
        }
        
        [Schema(@"http://www.MoustafaRefaat.com/Orchestrations.WCF.BasicHttpSendAdapter.BasicHttpWcfServiceConsuming",@"Multiply")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"Multiply"})]
        public sealed class Multiply : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public Multiply() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "Multiply";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://www.MoustafaRefaat.com/Orchestrations.WCF.BasicHttpSendAdapter.BasicHttpWcfServiceConsuming",@"MultiplyResponse")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"MultiplyResponse"})]
        public sealed class MultiplyResponse : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public MultiplyResponse() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "MultiplyResponse";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
    }
}
